﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace SLTestApplication_BR
{
	public class Color : INotifyPropertyChanged
	{
		#region INotifyPropertyChanged Members

		public event PropertyChangedEventHandler PropertyChanged;

		private void OnPropertyChanged(string propertyName)
		{
			if (this.PropertyChanged != null)
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
		}

		#endregion

		private int id;
		public int ID
		{
			get
			{
				return this.id;
			}
			set
			{
				if (this.id != value)
				{
					this.id = value;
					this.OnPropertyChanged("ID");
				}
			}
		}

		private string colorName;
		public string ColorName
		{
			get
			{
				return this.colorName;
			}
			set
			{
				if (this.colorName != value)
				{
					this.colorName = value;
					this.OnPropertyChanged("ColorName");
				}
			}
		}
	}
}
