﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Data;
using System.Diagnostics;

namespace SLTestApplication_BR
{
	public partial class MainPage : UserControl
	{
		private ObservableCollection<Person> persons = new ObservableCollection<Person>();

		public MainPage()
		{
			InitializeComponent();

			this.CreateDataSource(10);
			this.radGridView.ItemsSource = this.persons;
		}

		private void CreateDataSource(int count)
		{
			for (int i = 0; i < count; i++)
			{
				persons.Add(new Person
				{
					FirstName = "Joe " + i,
					LastName = "Rockhead",
					Age = (i + 1) * 15,
					BirthDay = DateTime.Today.AddDays(i),
					ColorID = (i % 3)
				});
			}
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			this.radGridView.BeginInsert();
		}
	}
}